Bug 890185 - postgres support for database
postgres support for database
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-swift (Show other bugs)
1.0 (Essex)
Unspecified Unspecified
medium Severity medium
: ga
: 2.1
Assigned To: RHOS Maint
Yaniv Kaul
: FutureFeature, TestOnly
Depends On:
Blocks: 816316
  Show dependency treegraph
 
Reported: 2012-12-25 10:11 EST by Perry Myers
Modified: 2013-07-03 22:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 816316
Environment:
Last Closed: 2013-01-07 16:39:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Perry Myers 2012-12-25 10:11:22 EST
+++ This bug was initially created as a clone of Bug #816316 +++

Description of problem:
Presently upstream OpenStack primarily utilizes mysql for its database.  We'd like to expand this to include postgres in addition.  There are probably some integration issues/small problems with running Postgres w/ Essex today, and these bugs will need to be tracked and individually resolved separately.

This bug is specifically for tracking the overall support of Postgres, and as such is a TestOnly bug.

--- Additional comment from Perry Myers on 2012-04-25 15:14:39 EDT ---

Related bugs:
https://bugs.launchpad.net/glance/+bug/953159
https://bugs.launchpad.net/glance/+bugs?field.tag=postgresql
Comment 1 Pete Zaitcev 2013-01-07 14:25:56 EST
But Perry, Swift does not use OpenStack's main database, except indirectly
through Keystone. What is it that I need to do here, specifically?
Verify that Keystone auth works in Swift when backend is Postgres?
Comment 2 Perry Myers 2013-01-07 14:27:26 EST
If Swift doesn't use a database at all, then this bug can be closed as NOTABUG, so just go ahead and do that.  I wasn't aware that Swift didn't use a database in any fashion

Note You need to log in before you can comment on or make changes to this bug.